Get a Reader Checkout

GET/v0.1/merchants/{merchant_code}/readers/{reader_id}/checkout/{checkout_id}

Get a Checkout for a Reader.

OAuth scopes: Requires one of: readers.read.

Required permissions:

  • readers.checkouts.view

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes readers.read
Authorization guide

Path parameters

Responses

200application/json

The Checkout got successfully retrieved for the given reader.

  • dataobjectrequired
    Show 14 properties
    • card_typestringrequirednullable
      Options:"credit""debit"null

      Type of the card, or null when no card type was specified.

    • checkout_idstringrequired
      format: uuid

      Unique identifier for the checkout

    • client_transaction_idstringrequired

      Client transaction identifier associated with the checkout

    • created_atstringrequired
      format: date-time

      Checkout creation timestamp

    • installmentsintegerrequirednullable

      Number of installments for the transaction. Required for some countries.

    • payment_failure_reasonstringrequirednullable

      Reason for the payment failure, or null when no failure reason is available.

    • payment_statusstringrequirednullable

      Status of the payment, or null when no payment status is available.

    • payment_typestringrequired
      Options:"card""pix"

      Type of the payment. Required for some countries

    • Reader firmware version

    • reader_serial_numberstringrequired

      Device serial number

    • statusstringrequired
      Options:"pending""successful""failed""cancelled"

      Current status of the checkout

    • total_amountobjectrequired

      Amount structure.

      The amount is represented as an integer value altogether with the currency and the minor unit.

      For example, EUR 1.00 is represented as value 100 with minor unit of 2.

      Example: {"currency":"EUR","minor_unit":2,"value":1000}

      Show 3 properties
      • currencystringrequired

        Currency ISO 4217 code

        Example: "EUR"

      • minor_unitintegerrequired
        minimum: 0

        The minor units of the currency. It represents the number of decimals of the currency. For the currencies CLP, COP and HUF, the minor unit is 0.

        Example: 2

      • valueintegerrequired
        minimum: 0

        Integer value of the amount.

        Example: 1000

    • updated_atstringrequired
      format: date-time

      Checkout last update timestamp

    • valid_untilstringrequirednullable
      format: date-time

      Checkout expiration timestamp. After this time, the checkout will be automatically cancelled.

401application/json

Unauthorized

  • errorsobjectrequired
    Show 2 properties
    • typestringrequired

      Error code

    • detailstring

      Error message

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "Unauthorized",
  "status": 401,
  "title": "Unauthorized",
  "type": "https://developer.sumup.com/problem/unauthorized"
}
404application/json

Response when given reader or checkout is not found

  • errorsobjectrequired
    Show 1 property
    • detailstringrequired

      Fuller message giving context to error

application/problem+json

  • typestringrequired
    format: uri

    A URI reference that identifies the problem type.

    Example: "https://developer.sumup.com/problem/not-found"

  • titlestring

    A short, human-readable summary of the problem type.

    Example: "Requested resource couldn't be found."

  • statusinteger

    The HTTP status code generated by the origin server for this occurrence of the problem.

    Example: 404

  • detailstring

    A human-readable explanation specific to this occurrence of the problem.

    Example: "The requested resource doesn't exist or does not belong to you."

  • instancestring
    format: uri

    A URI reference that identifies the specific occurrence of the problem.

    Example: "https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"

{
  "detail": "The requested resource doesn't exist or does not belong to you.",
  "status": 404,
  "title": "Requested resource couldn't be found.",
  "type": "https://developer.sumup.com/problem/not-found"
}

Type to search…